From: "sunjian" <[email-masked]>
Date: Sat, 21 Apr 2001 16:45:43 +0800

Here is an excerpt from COPS RFC 2748:

   For every DEC message *containing a configuration context* that is
   received by a PEP, the PEP MUST generate a corresponding Report State
   message with the Solicited Message flag set describing its success or
   failure in applying the configuration decision. 

An excerpt from COPS-PR RFC 3084:
   .....  As described below, the PEP MUST respond to each and every DEC with a
   corresponding solicited RPT.

   A COPS-PR DEC message MUST be treated as a single "transaction",
   i.e., either all the decisions in a DEC message succeed or they all
   fail.  If they fail, the PEP will rollback to its previous good
   state, which is the last successful DEC transaction, if any.  This
   allows the PDP to delete some policies only if other policies can be
   installed in their place.